import request from '@/utils/request'

// 查询样片管理列表
export function listSample(query) {
  return request({
    url: '/manage/sample/list',
    method: 'get',
    params: query
  })
}

// 查询样片管理详细
export function getSample(id) {
  return request({
    url: '/manage/sample/' + id,
    method: 'get'
  })
}

// 新增样片管理
export function addSample(data) {
  return request({
    url: '/manage/sample',
    method: 'post',
    data: data
  })
}

// 修改样片管理
export function updateSample(data) {
  return request({
    url: '/manage/sample',
    method: 'put',
    data: data
  })
}

// 删除样片管理
export function delSample(id) {
  return request({
    url: '/manage/sample/' + id,
    method: 'delete'
  })
}
